Summary: VIsual editor iMproved
Name: vim-athena-rhcn
Version: 5.0
Release: 1
Copyright: freeware
Group: Applications/Editors
Source0: ftp://ftp.vim.org/pub/misc/editors/vim/unix/vim-5.0.tar.gz
Source1: gvim.wmconfig
Patch0: vim-5.0.etc.patch
Patch1: ctags-2.0.1.patch.gz
BuildRoot: /var/tmp/vim
Distribution: Red Hat Contrib-Net
Packager: Red Hat Contrib-Net <rhcn-bugs@redhat.com>
Vendor: Bram Moolenaar <Bram@vim.org>
URL: http://www.vim.org

%description
VIM: (athena)
The VIsual editor iMproved is an updated and  feature-added clone of
the  'vi' editor that comes with  almost all UN*X  systems.  It adds
multiple windows, multi-level undo, block highliting, and many other
features to the standard vi program.

CTAGS:
A better  ctags which  generates tags  for all  possible tag  types:
macro  definitions,  enumerated values  (values  inside  enum{...}),
function and  method definitions,  enum/struct/union  tags, external
function prototypes (optional), typedefs, and variable declarations.
It is  far less easily  fooled by code  containing  #if preprocessor
conditional constructs, using a conditional path selection algorithm
to  resolve  complicated  choices, and a  fall-back  algorithm  when
this  one fails.  Can also be  used to print out a  list of selected
objects found in source files.

XXD:
xxd  creates  a  hex  dump of a given file or standard input.  It can
also convert a hex dump back to its original binary form.  Like uuen-
code(1)  and uudecode(1) it allows the transmission of binary data in
a `mail-safe' ASCII representation, but has the advantage of decoding
to  standard output.  Moreover, it can be used to perform binary file
patching.

%package -n vim-athena-rhcn
Group: Applications/Editors
Summary: VIsual editor iMproved - athena
%description -n vim-athena-rhcn
The VIsual editor iMproved is an updated and  feature-added clone of
the  'vi' editor that comes with  almost all UN*X  systems.  It adds
multiple windows, multi-level undo, block highliting, and many other
features to the standard vi program.

This  version is built with X, Athena, perl, and python support.  It
is statically linked.

%package -n ctags-rhcn
Group: Development/Languages
Version: 2.0.1
Release: 1
Summary: Exuberant ctags -- C cross-reference tool
URL: http://fly.hiwaay.net/~darren
Vendor: Darren Hiebert <darren@hiebert.com>
Copyright: GPL
%description -n ctags-rhcn
A better  ctags which  generates tags  for all  possible tag  types: 
macro  definitions,  enumerated values  (values  inside  enum{...}), 
function and  method definitions,  enum/struct/union  tags, external 
function prototypes (optional), typedefs, and variable declarations. 
It is  far less easily  fooled by code  containing  #if preprocessor 
conditional constructs, using a conditional path selection algorithm
to  resolve  complicated  choices, and a  fall-back  algorithm  when 
this  one fails.  Can also be  used to print out a  list of selected 
objects found in source files.

%package -n xxd-rhcn
Group: Development/Languages
Version: V1.8
Release: 1
Summary: Make a hexdump or do the reverse
Copyright: freeware
Vendor: Juergen Weigert <jnweiger@informatik.uni-erlangen.de>
%description -n xxd-rhcn
xxd  creates  a  hex  dump of a given file or standard input.  It can
also convert a hex dump back to its original binary form.  Like uuen-
code(1)  and uudecode(1) it allows the transmission of binary data in
a `mail-safe' ASCII representation, but has the advantage of decoding
to  standard output.  Moreover, it can be used to perform binary file
patching.

%changelog

* Tue Feb 24 1998 Joel Young <jyoung@erols.com>

- patched ctags up to version 2.0.1
- modified spec file to be rhcn compliant

* Fri Feb 20 1998 Joel Young <jyoung@erols.com>

- rebuilt for vim-5.0
- added compressed manpages
- added attr lines on files

* Mon Feb 16 1998 Joel Young <jyoung@erols.com>

- rebuilt for vim-5.0x

* Sat Feb 14 1998 Joel Young <jyoung@erols.com>

- rebuilt for vim-5.0w

* Sun Feb 08 1998 Joel Young <jyoung@erols.com>

- rebuilt for vim-5.0v
- separated out ctags and xxd into seperate sub-packages
- separated into three source files vim-motif, vim-athena, vim-noX 

* Sun Nov 09 1997 Donnie Barnes <djb@redhat.com>

- fixed missing man page

* Wed Oct 22 1997 Donnie Barnes <djb@redhat.com>

- added wmconfig entry to vim-X11

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>

- upgraded from 4.5 to 4.6

* Fri Jun 13 1997 Erik Troan <ewt@redhat.com>

- built against glibc

* Tue Mar 25 1997 Michael K. Johnson <johnsonm@redhat.com>

 o Upgraded to 4.5
 o Added ex symlinks

* Tue Mar 11 1997 Michael K. Johnson <johnsonm@redhat.com>

Added view symlink.


%prep 
%setup -n vim-5.0
%patch0 -p1
cd src
%patch1 -p0

%build
cd src
CFLAGS="$RPM_OPT_FLAGS" ./configure \
		--prefix=/usr \
		--enable-gui=athena \
		--with-x \
		--enable-pythoninterp \
		--enable-perlinterp
make LDFLAGS=-static

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share
mkdir -p $RPM_BUILD_ROOT/usr/man

install -m644 vimrc_example $RPM_BUILD_ROOT/etc/vimrc
install -m644 gvimrc_example $RPM_BUILD_ROOT/etc/gvimrc

cd src
make install \
	BINDIR=$RPM_BUILD_ROOT/bin \
	MANDIR=$RPM_BUILD_ROOT/usr/man \
	DATADIR=$RPM_BUILD_ROOT/usr/share \
	LDFLAGS=-static
cd $RPM_BUILD_ROOT/bin; ln -sf vim vi
cd $RPM_BUILD_ROOT/usr/bin; ln -sf /bin/vim vim

gzip $RPM_BUILD_ROOT/usr/man/man1/vim.1
gzip $RPM_BUILD_ROOT/usr/man/man1/xxd.1
gzip $RPM_BUILD_ROOT/usr/man/man1/ctags.1

rm -f ex.1 gview.1 gvim.1 rgview.1 rgvim.1 rview.1 rvim.1 view.1 etags.1

ln -sf vim.1.gz $RPM_BUILD_ROOT/usr/man/man1/ex.1.gz
ln -sf vim.1.gz $RPM_BUILD_ROOT/usr/man/man1/gview.1.gz
ln -sf vim.1.gz $RPM_BUILD_ROOT/usr/man/man1/gvim.1.gz
ln -sf vim.1.gz $RPM_BUILD_ROOT/usr/man/man1/rgview.1.gz
ln -sf vim.1.gz $RPM_BUILD_ROOT/usr/man/man1/rgvim.1.gz
ln -sf vim.1.gz $RPM_BUILD_ROOT/usr/man/man1/rview.1.gz
ln -sf vim.1.gz $RPM_BUILD_ROOT/usr/man/man1/rvim.1.gz
ln -sf vim.1.gz $RPM_BUILD_ROOT/usr/man/man1/view.1.gz

ln -sf ctags.1.gz $RPM_BUILD_ROOT/usr/man/man1/etags.1.gz

mv $RPM_BUILD_ROOT/bin/g* $RPM_BUILD_ROOT/usr/bin/
mv $RPM_BUILD_ROOT/bin/rg* $RPM_BUILD_ROOT/usr/bin/
mv $RPM_BUILD_ROOT/bin/?tags $RPM_BUILD_ROOT/usr/bin/
mv $RPM_BUILD_ROOT/bin/xxd $RPM_BUILD_ROOT/usr/bin/

mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m644 $RPM_SOURCE_DIR/gvim.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/gvim

%files -n vim-athena-rhcn
%attr(-,root,root)  %doc README
%attr(-,root,root)  %doc bugreport.vim
%attr(-,root,root)  %doc gvimrc_example
%attr(-,root,root)  %doc quotes
%attr(-,root,root)  %doc termcap
%attr(-,root,root)  %doc todo
%attr(-,root,root)  %doc tutor
%attr(-,root,root)  %doc vimrc_example
%attr(-,root,root)  %config /etc/X11/wmconfig/gvim
%attr(-,root,root)  %config /etc/vimrc
%attr(-,root,root)  %config /etc/gvimrc
%attr(-,root,root)  /usr/bin/gview
%attr(-,root,root)  /usr/bin/gvim
%attr(-,root,root)  /usr/bin/rgview
%attr(-,root,root)  /usr/bin/rgvim
%attr(-,root,root)  /usr/bin/vim
%attr(-,root,root)  /bin/ex
%attr(-,root,root)  /bin/rview
%attr(-,root,root)  /bin/rvim
%attr(-,root,root)  /bin/vi
%attr(-,root,root)  /bin/view
%attr(-,root,root)  /bin/vim
%attr(-,root,root)  /usr/man/man1/ex.1.gz
%attr(-,root,root)  /usr/man/man1/gview.1.gz
%attr(-,root,root)  /usr/man/man1/gvim.1.gz
%attr(-,root,root)  /usr/man/man1/rgview.1.gz
%attr(-,root,root)  /usr/man/man1/rgvim.1.gz
%attr(-,root,root)  /usr/man/man1/rview.1.gz
%attr(-,root,root)  /usr/man/man1/rvim.1.gz
%attr(-,root,root)  /usr/man/man1/view.1.gz
%attr(-,root,root)  /usr/man/man1/vim.1.gz
%attr(-,root,root)  /usr/share/vim

%files -n ctags-rhcn
%attr(-,root,root)  %doc src/ctags/CHANGES
%attr(-,root,root)  %doc src/ctags/COPYING
%attr(-,root,root)  %doc src/ctags/INSTALL
%attr(-,root,root)  %doc src/ctags/MANIFEST
%attr(-,root,root)  %doc src/ctags/QUOTES
%attr(-,root,root)  %doc src/ctags/README
%attr(-,root,root)  %doc src/ctags/ctags.lsm
%attr(-,root,root)  /usr/bin/ctags
%attr(-,root,root)  /usr/bin/etags
%attr(-,root,root)  /usr/man/man1/ctags.1.gz
%attr(-,root,root)  /usr/man/man1/etags.1.gz

%files -n xxd-rhcn
%attr(-,root,root)  /usr/bin/xxd
%attr(-,root,root)  /usr/man/man1/xxd.1.gz

%clean
rm -rf $RPM_BUILD_ROOT
